package models

import (

	"go-admin/common/models"

)

type LineDirection struct {
    models.Model
    
    Symbol string `json:"symbol" gorm:"type:varchar(255);comment:交易对"` 
    Type int64 `json:"type" gorm:"type:int unsigned;comment:交易对类型:1=现货,2=合约"` 
    BuyPoint1 string `json:"buyPoint1" gorm:"type:varchar(255);comment:买入点一"` 
    BuyPoint2 string `json:"buyPoint2" gorm:"type:varchar(255);comment:买入点二"` 
    BuyPoint3 string `json:"buyPoint3" gorm:"type:varchar(255);comment:买入点三"` 
    SellPoint1 string `json:"sellPoint1" gorm:"type:varchar(255);comment:卖出点一"` 
    SellPoint2 string `json:"sellPoint2" gorm:"type:varchar(255);comment:卖出点二"` 
    SellPoint3 string `json:"sellPoint3" gorm:"type:varchar(255);comment:卖出点三"` 
    Direction string `json:"direction" gorm:"type:varchar(255);comment:预估方向"` 
    AiAnswer string `json:"aiAnswer" gorm:"type:text;comment:AI智能分析"` 
    models.ModelTime
    models.ControlBy
}

func (LineDirection) TableName() string {
    return "line_direction"
}

func (e *LineDirection) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineDirection) GetId() interface{} {
	return e.Id
}